Package org.gradle.api.tasks.diagnostics

## Class TaskReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.diagnostics.AbstractReportTask
        - - org.gradle.api.tasks.diagnostics.TaskReportTask

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class TaskReportTask
      extends AbstractReportTask

  Displays a list of tasks in the project. An instance of this type is used when you execute the `tasks` task from the command-line.

  By default, this report shows only those tasks which have been assigned to a task group, so-called visible tasks. Tasks which have not been assigned to a task group, so-called hidden tasks, can be included in the report by enabling the command line option `--all`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskReportTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generate​(Project project)` |
    `String` | `getDisplayGroup()` | Get the task group to be displayed.
    `protected org.gradle.api.internal.project.ProjectStateRegistry` | `getProjectStateRegistry()` | Injects a `ProjectStateRegistry` service.
    `protected org.gradle.api.internal.project.ProjectTaskLister` | `getProjectTaskLister()` |
    `org.gradle.api.tasks.diagnostics.internal.ReportRenderer` | `getRenderer()` |
    `boolean` | `isDetail()` |
    `void` | `setDisplayGroup​(String group)` | Set a specific task group to be displayed.
    `void` | `setRenderer​(org.gradle.api.tasks.diagnostics.internal.TaskReportRenderer renderer)` |
    `void` | `setShowDetail​(boolean detail)` |

    - ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractReportTask

      `generate, getClientMetaData, getOutputFile, getProjects, getTextOutputFactory, setOutputFile, setProjects`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskReportTask

          public TaskReportTask()

  - ### Method Detail

    - #### getRenderer

          public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()

      Specified by:
        `getRenderer` in class `AbstractReportTask`

    - #### setRenderer

          public void setRenderer​(org.gradle.api.tasks.diagnostics.internal.TaskReportRenderer renderer)

    - #### setShowDetail

          public void setShowDetail​(boolean detail)

    - #### isDetail

          @Console
          public boolean isDetail()

    - #### setDisplayGroup

          @Incubating
          public void setDisplayGroup​(String group)

      Set a specific task group to be displayed.
      Since:
        5.1

    - #### getDisplayGroup

          @Incubating
          @Console
          public String getDisplayGroup()

      Get the task group to be displayed.
      Since:
        5.1

    - #### generate

          public void generate​(Project project)
                        throws IOException

      Specified by:
        `generate` in class `AbstractReportTask`
      Throws:
        `IOException`

    - #### getProjectStateRegistry

          @Inject
          protected org.gradle.api.internal.project.ProjectStateRegistry getProjectStateRegistry()

      Injects a `ProjectStateRegistry` service.
      Since:
        5.0

    - #### getProjectTaskLister

          @Inject
          protected org.gradle.api.internal.project.ProjectTaskLister getProjectTaskLister()